Bug 43112 - module SYM53C8XX does excessive logging (Linux 2.4.2-2smp i686)
module SYM53C8XX does excessive logging (Linux 2.4.2-2smp i686)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: autorun (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-31 17:15 EDT by Martijn Kruithof
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 05:06:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martijn Kruithof 2001-05-31 17:15:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; rv:0.9)
Gecko/20010511

Description of problem:
On my rh 7.1 system with SCSI CD-ROM / SCSI CD-ROM Burner and scanner
(turned off) when someone is logged in who has the autorun for automounting
CD-ROMs in the .kde Autostart file (default for kde) one gets 11 times per
device the following message in /var/log/messages 

May 29 17:28:09 user kernel: sym53c875-0-<4,0>: sync msgout: 1-3-1-c-10.
May 29 17:28:09 user kernel: sym53c875-0-<4,0>: sync msg in: 1-3-1-19-8.
May 29 17:28:09 user kernel: sym53c875-0-<4,0>: sync: per=25 scntl3=0x30
scntl4=0x0 ofs=8 fak=0 chg=0.


How reproducible:
Always

Steps to Reproduce:
1.boot system with SCSI cd-rom drive (and no scsi harddisk)
2.module is loaded automagically
3.log in in KDE and autorun is automatically started
4.The log file grows FAST
Comment 1 Arjan van de Ven 2001-05-31 17:30:36 EDT
autorun is broken in this respect.
Comment 2 Harald Hoyer 2001-06-01 02:46:29 EDT
What is wrong about:
open("/dev/cdrom", O_RDONLY|O_NONBLOCK) = 3
ioctl(3, CDROM_CLEAR_OPTIONS, 0x1)      = 12
ioctl(3, CDROM_LOCKDOOR, 0)                     = 671088640
ioctl(3, CDROM_DRIVE_STATUS, 0x7fffffff) = 2
close(3)                                = 0
nanosleep({1, 0}, NULL)                 = 0

??? It is a normal user program only checking for the drive status. 
What is so important for the cdrom driver to log it???


Note You need to log in before you can comment on or make changes to this bug.